﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="index.aspx.cs" Inherits="jquery_jquery_load_image_separator_index" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>jQuery Load Image Separator | YogiHosting Demo</title>
    <link rel="icon" type="image/png" href="http://www.yogihosting.com/wp-content/themes/yogi-yogihosting/Images/favicon.ico" />
    <style>
        body {
            background: #111 no-repeat;
            background-image: -webkit-gradient(radial, 50% 0, 150, 50% 0, 300, from(#444), to(#111));
        }

        h1, h2 {
            text-align: center;
            color: #FFF;
        }

            h2 a {
                color: #0184e3;
                text-decoration: none;
            }

                h2 a:hover {
                    text-decoration: underline;
                }

        .container {
            width: 450px;
            margin: auto;
            color: #FFF;
            font-size: 25px;
        }

            .container h3 {
                font-size: 20px;
            }

        #content {
            border: dashed 2px #CCC;
            padding: 10px;
        }

        #loadingImg1, #loadingImg2 {
            display: none;
        }

        button {
            display: block;
            margin: 10px;
            padding: 10px;
        }

        #reset {
            padding: 5px 10px;
            background: #4CAF50;
            border: none;
            color: #FFF;
            cursor: pointer;
            display: inline;
        }

            #reset:hover {
                color: #4CAF50;
                background: #FFF;
            }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <h1>jQuery Load Image Separator</h1>
        <h2><a href="http://www.yogihosting.com/jquery-load-image-separator/">Read the tutorial on YogiHosting » </a>
            <button id="reset">Reset »</button></h2>

        <div class="container">
            <div id="content">
                <button id="button1">Button 1</button>
                <img id="loadingImg1" src="loading1.gif" />
                <button id="button2">Button 2</button>
                <img id="loadingImg2" src="loading2.gif" />
            </div>
        </div>
        <!--Reference to jQuery-->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>
        <script>
            $(document).ready(function () {

                $("#reset").click(function (e) {
                    location.reload();
                });

                $("#button1").click(function (e) {
                    $(document).off(".secondCall");
                    $(document).on("ajaxStart.firstCall", function () {
                        $("#loadingImg1").show();
                    });
                    $(document).on("ajaxStop.firstCall", function () {
                        $("#loadingImg1").hide();
                    });

                    AjaxCall();

                    return false;
                });

                $("#button2").click(function (e) {
                    $(document).off(".firstCall");
                    $(document).on("ajaxStart.secondCall", function () {
                        $("#loadingImg2").show();
                    });
                    $(document).on("ajaxStop.secondCall", function () {
                        $("#loadingImg2").hide();
                    });

                    AjaxCall();

                    return false;
                });

                function AjaxCall() {
                    $("button").prop("disabled", true);
                    $.ajax({
                        type: "POST",
                        url: "index.aspx/myfunction",
                        contentType: "application/json; charset=utf-8",
                        dataType: "json",
                        success: function (result, status, xhr) {
                            alert(result.d);
                            $("button").prop("disabled", false);
                        },
                        error: function (xhr, status, error) {
                            alert("Result: " + status + " " + error + " " + xhr.status + " " + xhr.statusText)
                        }
                    });
                }

            });
        </script>
    </form>
</body>
</html>
